<?php
session_start();/**************************************************صفحة وضع وازالة الاولوية*******************************************************************/

//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;


//استدعاء ملف معالجة الحقن
include("../injection.php");

//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'");
//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}

// معالجة حقن المتغيرات
injection($_POST['table']);
is_num($_POST['id']);

/*  اسم الجدول وبداية الكويرى */  
$table=$_POST['table'];
$priority_type="";
$id=$_POST['id'];

//بداية الاستعلام
$query="select * from $table where id=". $_POST['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$fetch=mysqli_fetch_array($result);
	$fetch=clean_array($fetch);
if($fetch['priority']=='1'){$priority_type="0";}else{$priority_type="1";}
//بداية الاستعلام
$query="update $table set priority=$priority_type where id=$id" ;
mysqli_query($conn,$query);

?>